var betrocketApp = angular.module(
    'BetRocket',
    [
        'ionic',
        'ui.router',
        'pascalprecht.translate',
        'ngFitText',
        'ngCordovaOauth',
        'ngCordova',
        'ngStorage',
        'elif',
        'ngMaterial',
        'angular-momentjs',
        'timer',
        'ngOpenFB'
    ]
);

//fabric service
betrocketApp.factory('fabricBr',[function (){

    var fabric = {}

    fabric.sendLogIn = function (brtype,brsuccess,brparam) {
        var type = brtype;
        var success = brsuccess;
        var param = brparam;

    }

}]);


// BetRocket Service Wrapper - Fuck Yeah!
betrocketApp.factory('br', ['$http', '$localStorage', '$rootScope', '$ionicPopup', '$ionicLoading', '$state', function (http, localStorage, rootScope, ionicPopup, ionicLoading, state) {

    var baseFBUrl = "https://graph.facebook.com/v2.5/";
    var baseBetRocketUrl = "https://www.betrocket.com/";
    var baseVelneoUrl = "https://api.betrocket.com/";//"http://velneo.betrocket.com/web/";

    var brService = {};

    brService.api_key = "DU9Vqrk{tVVUCgh7429";
    brService.word = "b3tr0ck3tap1";

    brService.userDataUpdateInterval = 300000; // update every 5 min
    brService.apuestasLibresUpdateInterval = 1800000; // update every 30 min

    brService.globalDataRefreshInterval = 60000; //update every 1 min

    brService.minBetAmount = 500;

    brService.xpWinFactor = 0.05;

    brService.alertsPerPage = 10;
    brService.tournamentsPerPage = 10;

    brService.stateRedirectOnSuccessfulLogin = "apuestas.disponibles";

    brService.errorIdentificationPopupFlag = false;

    rootScope.$storage = localStorage.$default({
        client: undefined,
        user: undefined
    });

    rootScope.user = rootScope.$storage.user;

    rootScope.basket = undefined;

    brService.prepareFB = function (cb) {

        var reqUrl = baseBetRocketUrl + "api/social/facebook/prepare";

        brService.call(reqUrl, "GET", {}, function (response) {
            if (typeof response.data.status !== 'undefined' && response.data.status === 'okay') {
                if (typeof response.data.result !== 'undefined' && typeof response.data.result.url !== 'undefined') {
                    return cb(null, response.data.result.url);
                }
            }
            return cb("Respuesta incompleta");
        }, function (response) {
            return cb("Error no esperado [999]");
        });

    };

    brService.getFbData = function (cb) {

        var reqUrl = baseBetRocketUrl + "api/social/facebook/getmobile";

        brService.call(reqUrl, "GET", {}, function (response) {
            if (typeof response.data.status !== 'undefined' && response.data.status === 'okay') {
                if (typeof response.data.result !== 'undefined') {
                    if (typeof response.data.result.social.status !== 'undefined' && response.data.result.social.status === 'old') {
                        rootScope.$storage.user = {uid: response.data.result.social.token};
                        rootScope.user = rootScope.$storage.user;
                        brService.getUserData(function (err, data2) {
                            return cb(err, response.data.result);
                        }, true);
                    } else {
                        return cb(null, response.data.result);
                    }
                }
            }
        }, function (response) {
            return cb("Error no esperado [999]");
        });

    };

    brService.login = function (user, password, socialProvider, token, cb) {

        var params = {
            'email': user,
            'pass': password,
            'mobile': 1
        };

        if (typeof rootScope.$storage.client !== "undefined") {
            params.ip = rootScope.$storage.client.ip;
        }

        if (socialProvider !== null && token !== null) {
            params.provsoc = socialProvider;
            params.token = token;
            params.key = ']cxBPz0ssE<DE$>b.b';
        }

        var reqUrl = baseVelneoUrl + "login";

        brService.call(reqUrl, "POST", params, function (response) {
            if (response.data.Success === 1) {
                rootScope.$storage.user = {uid: response.data.UID};
                rootScope.user = rootScope.$storage.user;
                brService.getUserData(function (err, data) {
                    if (!err) {
                        return cb(null, response.data);
                    }
                }, true);
            } else {
                return cb(response.data.Detail);
            }
        }, function (response) {
            console.log(response);
            return cb(response.data.Detail);
        });

    };

    brService.logout = function (cb) {
        if (typeof rootScope.$storage.user !== "undefined" || typeof rootScope.$storage.user.uid !== "undefined") {
            var reqUrl = baseVelneoUrl + "logout";
            var params = {
                id: rootScope.$storage.user.uid
            };
            brService.call(reqUrl, "GET", params, function (response) {
                rootScope.$storage.$reset();
                cb(null, response);
            }, function (response) {
                rootScope.$storage.$reset();
                cb(999, response);
            });
        } else {
            rootScope.$storage.$reset();
            cb(response.data);
        }
    };

    brService.forgetPassword = function (user, cb) {
        var reqUrl = baseVelneoUrl + "recoverPass";
        var params = {
            email: user
        };

        brService.call(reqUrl, "GET", params, function (response) {
            console.log(response);
            if (response.data.Success === 1) {
                cb(null, response.data);
            } else {
                cb(response.data.Error);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'ForgetPassword',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });
    };

    brService.getUserData = function (cb, mandatory) {
        mandatory = mandatory || false;
        if(typeof rootScope.$storage.user !== 'undefined' && (mandatory || ( typeof rootScope.$storage.user.data === 'undefined' || Date.now - rootScope.$storage.user.lastUpdate > brService.userDataUpdateInterval))) {
            var reqUrl = baseVelneoUrl + "user";
            var params = {
                id: rootScope.$storage.user.uid,
                bp: 1
            };

            brService.call(reqUrl, "GET", params, function (response) {
                rootScope.user.data = response.data.User[0];
                var user = rootScope.user.data;
                var currentProgress = user.Experience - user.LevelMinExp;
                var levelInterval = user.LevelMaxExp - user.LevelMinExp;
                user.levelProgress = Math.floor(currentProgress / levelInterval * 100);
                user.avatarUrl = "https://www.betrocket.com/upload/avatar/" + user.Avatar + "_face.png";
                user.completeAvatarCover = "https://www.betrocket.com/upload/cover/" + user.CoverImage + "_large.jpg";
                user.numAlerts = user.Alerts.length;
                console.log(user)
                rootScope.user.data = user;
                rootScope.$storage.user.data = user;
                rootScope.$storage.user.lastUpdate = Date.now();
                brService.getUserPendingBets(function(){});

                if(typeof window.fabric !== 'undefined' && typeof window.fabric.Crashlytics !== 'undefined'){
                        window.fabric.Crashlytics.setUserIdentifier(user.Id);
                        window.fabric.Crashlytics.setUserName(user.NickName);
                        window.fabric.Crashlytics.setUserEmail(user.Email);
                }

                cb(null, response.data.User[0]);
            }, function (response) {
                if(typeof window.fabric !== 'undefined' && response.status == 0)
                    window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getUserData',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

                cb(999, response);
            });
        } else {
            if (typeof rootScope.user === 'undefined') {
                return cb('Unexpected error');
            } else {
                return cb(null, rootScope.user.data);
            }
        }
    };

    brService.getUserPendingBets = function (cb) {
        var reqUrl = baseVelneoUrl + "userbetslipspending";
        var params = {
            id: rootScope.$storage.user.uid
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Error !== 'undefined') {
                cb(response.data.Error);
            } else {
                if(typeof response.data.BetslipsUserPending !== 'undefined') {
                    if(typeof rootScope.user !== 'undefined')
                        rootScope.$storage.user.pendingBets = response.data.BetslipsUserPending;
                        rootScope.user.pendingBets = rootScope.$storage.user.pendingBets;
                        rootScope.$emit('pendingPlayingFreeBets');
                }
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getUserPendingBets',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });
    };

    brService.getUserAlerts = function (cb, elements, page) {
        var reqUrl = baseVelneoUrl + "useralerts";
        var params = {
            id: rootScope.$storage.user.uid
        };

        if(typeof elements !== 'undefined' && typeof page !== 'undefined'){
            params.elements = elements;
            params.page = page;
        }else{
            params.elements = brService.alertsPerPage;
            params.page = 1;
        }

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Error !== 'undefined') {
                cb(response.data.Error);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getUserAlerts',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });
    };

    brService.getFinishedFreeBets = function (cb, elements, page) {
        var reqUrl = baseVelneoUrl + "userbetslips";
        var params = {
            id: rootScope.$storage.user.uid
        };

        if(typeof elements !== 'undefined' && typeof page !== 'undefined'){
            params.elements = elements;
            params.page = page;
        }else{
            params.elements = brService.alertsPerPage;
            params.page = 1;
        }

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Error !== 'undefined') {
                cb(response.data.Error);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getFinishedFreeBets',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });
    };

    brService.cerrarAlertas = function (cb) {
        var reqUrl = baseVelneoUrl + "closeallalerts";
        var params = {
            id: rootScope.$storage.user.uid
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data !== 'undefined' && typeof response.data.Success !== 'undefined' && response.data.Success == 1) {
                cb(null, response.data);
            } else {
                cb(response.data);
            }
        }, function (response) {
            cb(response.data);
        });
    };

    brService.coins2cash = function (coins,cb) {
        var reqUrl = baseVelneoUrl + "coins2cash";
        var params = {
            id: rootScope.$storage.user.uid,
            coins:coins
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data !== 'undefined' && typeof response.data.Success !== 'undefined' && response.data.Success == 1) {
                cb(null, response.data);
            } else {
                cb(response.data);
            }
        }, function (response) {
            cb(response.data);
        });
    };

    brService.setFavorite = function (tournamentId, competitionId, cb) {
        var reqUrl = baseVelneoUrl + 'favcomp';
        var params = {
            id: rootScope.$storage.user.uid,
            tournament: tournamentId,
            competition: competitionId
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Error !== "undefined") {
                cb(null, response.data);
            } else {
                cb(response.data.Error);
            }
        }, function (response) {
            cb(response.data);
        });
    };

    brService.getTorneosActivos = function (cb, elements, page) {
        brService.getTorneos('A', cb, elements, page);
    };

    brService.getTorneosJugando = function (cb, elements, page) {
        brService.getTorneos('U', cb, elements, page);
    };

    brService.getTorneosFinalizados = function (cb, elements, page) {
        brService.getTorneos('V', cb, elements, page);
    };

    brService.getTorneos = function (tipoTorneo, cb, elements, page) {
        // A - Activos
        // U - Jugando
        // V - Finalizados

        var reqUrl = baseVelneoUrl + "tournaments";
        var params = {
            id: rootScope.$storage.user.uid,
            filter: tipoTorneo,
            elem: 40,
            page: 1,
            order: 'I'
        };

        if (elements !== undefined) {
            params.elem = elements;
            if (page !== undefined) {
                params.page = page;
            } else {
                params.page = 1;
            }
        }

        brService.call(reqUrl, "POST", params, function (response) {
            cb(null, response.data);
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0) {
                window.fabric.Answers.sendCustomEvent('Error conectividad', {
                    'function': 'getTorneos',
                    "error-data": response.data,
                    "configData": response.config.data,
                    "url": response.config.url,
                    "status": response.status,
                    "statusText": response.statusText
                });
            }
            if(response.status === 0){
                return cb("No se ha podido conectar con el servidor ["+response.status+"]", response);
            } else {
                return cb("Error no esperado ["+response.status+"]", response);
            }
        });
    };

    brService.getFilter = function(cb){
        var reqUrl = baseVelneoUrl + "apuestas";
        var params = {
            id: rootScope.$storage.user.uid,
            bp: 1,
            tournament: 0
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if(response.data.Error !== undefined) {
                cb(response.data.Error);
            } else if (response.data.Sports !== undefined ){
                cb(null, response.data.Sports);
            } else {
                cb(999, response.data);
            }
        }, function (response) {
            cb(999, response);

            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getFilter',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            return;
        });
    };

    brService.registerUser = function (emailUser,nick,pass,cb) {
        var reqUrl = baseVelneoUrl + "signup";
        var params = {
            email: emailUser,
            nickname: nick,
            password: pass
        };

        brService.call(reqUrl, "POST", params, function (response) {
           console.log(response);
            cb(null, response.data);

        }, function (response) {
            cb(999, response);
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'registerUser',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
        });

    };

    brService.getApuestasTorneo = function (idTorneo, cb, orderBets, elements, page, competition, txt) {

        var reqUrl = baseVelneoUrl + "eventsnext";
        var params = {
            tournament: idTorneo
        };

        if(competition !== undefined){
            return brService.getApuestasFromCompetition(competition, cb, idTorneo, elements, page);
        }

        if (txt !== undefined) {
            params.txt = txt;
        }

        if (orderBets !== undefined) {
            params.orderbets = orderBets ? 1 : 0;
        }

        if (elements !== undefined) {
            params.elem = elements;
        }

        if (page !== undefined) {
            params.page = page;
        } else {
            params.page = 1;
        }

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data == "0") {
                cb("No tournament data", response);
                return;
            } else {
                cb(null, response.data);
                return;
            }
        }, function (response) {
            cb(999, response);
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getApuestasTorneos',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
            return;
        });
    };

    brService.getSports = function (cb, idTorneo) {
        var reqUrl = baseVelneoUrl+ "sports";
        var params = {};

        if(idTorneo !== undefined){
            params.tournament = idTorneo;
        }

        brService.call(reqUrl, "GET", params, function (response) {
            cb(null, response.data.Sports);
        }, function (response) {
            cb(999, response);
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getSports',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
        });
    };

    brService.getListsOfSport = function (cb, idSport, idTorneo) {
        //100 no hay listas de competiciones activas
        var reqUrl = baseVelneoUrl + "listssport";
        var params = {};

        if(idTorneo !== undefined) {
            params.tournament = idTorneo;
        }else{
            params.tournament = 0;
        }

        params.id = idSport;

        brService.call(reqUrl, "GET", params, function(response){
            var data = response.data;
            if(data.Error){
                cb(data.Error);
            }else{
                cb(null, response.data.Lists);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getListsOfSports',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
            cb(999, response);
        });
    };

    brService.getCompetitionsOfListItem = function (cb, idListItem, idTorneo) {
        var reqUrl = baseVelneoUrl + "competitionslist";
        var params = {};

        if(idTorneo !== undefined) {
            params.tournament = idTorneo;
        }else{
            params.tournament = 0;
        }

        params.id = idListItem;

        brService.call(reqUrl, "GET", params, function(response){
            if(response.data.Competitions !== undefined){
                cb(null, response.data.Competitions);
            }else if(response.data.Error !== undefined){
                cb(response.data.Error);
            }else{
                cb(response.data);
            }
        }, function (response) {
            console.log(response);
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getCompetitionOfListItem',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
            cb(999, response);
        });

    };

    brService.getRankingDivision = function (cb) {
        var reqUrl = baseVelneoUrl + "ranking";
        var params = {
            period: "GROUP",
            id: rootScope.$storage.user.uid,
            bp: 1
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data == "0") {
                cb("No tournament data", response);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getRankingDivision',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };



    brService.getRankingTemporada = function (cb) {
        var reqUrl = baseVelneoUrl + "ranking";
        var params = {
            period: "SEASON",
            id: rootScope.$storage.user.uid,
            bp: 1
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data == "0") {
                cb("No tournament data", response);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getRankingTemporada',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };

    brService.getRankingTorneo = function (idTorneo, cb) {
        var reqUrl = baseVelneoUrl + "rankingtournament";
        var params = {
            uid: rootScope.$storage.user.uid,
            id: idTorneo
            //bp: 1
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data == "0") {
                cb("No tournament data", response);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getRankingTorneo',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };

    brService.getBetsByNicknameInTournament = function (idTorneo,nickname, cb) {
        var reqUrl = baseVelneoUrl + "nicknamebetslipstournament";
        var params = {
            nickname: nickname,
            tournament: idTorneo
            //bp: 1
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data == "0") {
                cb("No tournament data", response);
            } else {
                cb(null, response.data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getBetsByNickNameInTournament',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };

    brService.getEventApuestas = function (idEvento, cb) {
        var reqUrl = baseVelneoUrl + "oddsevent";
        var params = {
            id: idEvento,
            timezone: 17
        };

        brService.call(reqUrl, "GET", params, function (response) {
            cb(null, response.data);
        }, function (response) {

            cb(response.data);
        });
    };

    brService.getInfoTorneo = function (idTorneo, cb) {
        var reqUrl = baseVelneoUrl + "apuestas";
        var params = {
            id: rootScope.$storage.user.uid,
            tournament: idTorneo,
            bp: 1
        };

        brService.call(reqUrl, "GET", params, function (response) {
            cb(null, response.data);
        }, function (response) {

            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getInfoTorneo',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
            cb(999, response);

        });
    };

    brService.joinTournament = function (idTorneo, coins, cb) {

        var reqURL = baseVelneoUrl + "tournamentregistration";
        var params = {
            id: rootScope.$storage.user.uid,
            tournament: idTorneo,
            coinsrisked: coins
        };

        brService.call(reqURL, "GET", params, function (response) {
            if (typeof response.data.Success !== "undefined" && response.data.Success === 1) {
                cb(null, response.data);
            } else {
                cb(response.data.Detail, response);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'JoinTournament',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };

    brService.getCesta = function (cb) {
        // return 100 cesta vacia

        var reqUrl = baseVelneoUrl + "bttbasket";
        var params = {
            id: rootScope.$storage.user.uid
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Error !== "undefined" && response.data.Error != 100) {
                cb(response.data.Error, null);
            } else {
                rootScope.userBasket = [];
                rootScope.basket = {
                    BasketUser: [],
                    ChipsBet: 0,
                    ForecastWinnings: 0,
                    TotalBets: 0,
                    AllowCombined: 1,
                    Combined: 0,
                    TotalBets: 0,
                    TournamentMinimumBets: 0,
                    TournamentMinimumBetAmount: 0,
                    TournamentName: "",
                    UserTournamentChips: 0,
                    UserTournamentTotalBets: 0
                };
                if (typeof response.data.BasketUser !== "undefined") {
                    rootScope.basket = response.data;
                    var sumForecastWinnings = 0;
                    var sumChipsBet = 0;
                    rootScope.basket.BasketUser.forEach(function (item) {
                        sumForecastWinnings += item.ForecastWinnings;
                        sumChipsBet += item.BetAmount;
                    });
                    rootScope.basket.ForecastWinnings = sumForecastWinnings;
                    rootScope.basket.ChipsBet = sumChipsBet;
                    var bets = response.data.Combined == 1 ? response.data.BasketUser[0].ChildBets : response.data.BasketUser;
                    bets.forEach(function (item) {
                        rootScope.userBasket.push({
                            BasketBet: item.BasketBet,
                            BookOdd: item.BookOdd
                        });
                    });
                }
                cb(null, response.data);
            }
        }, function (response) {
            if(response.data != null){
                if(response.data.Error !== undefined){
                    response.data.Error = 999;
                }
                cb(response.data.Error, response);
            }
            else{
                if(typeof window.fabric !== 'undefined' && response.status == 0)
                    window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getCesta',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});
                cb(999, response);
            }

        });
    };

    brService.apostar = function (idTorneo, cuota, cantidad, cb) {
        // 100 no existe cuota
        // 200 evento empezado

        var reqUrl = baseVelneoUrl + 'bttnew';
        var params = {
            id: rootScope.$storage.user.uid,
            bookodd: cuota,
            betamount: cantidad,
            tournament: idTorneo
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (typeof response.data.Success !== 'undefined' && response.data.Success == 1) {
                rootScope.numBetsCesta++;
                rootScope.userBasket.push({
                    BookOdd: cuota
                });
            }
            cb(null, response.data);
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'Apostar',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });

    };

    brService.actualizarApuesta = function (idApuesta, cantidad, cb) {
        // 100 no exite apuesta
        // 200 evento empezado
        var reqUrl = baseVelneoUrl + "bttupdate";
        var params = {
            id: rootScope.$storage.user.uid,
            basketbet: idApuesta,
            betamount: cantidad
        };

        brService.call(reqUrl, "GET", params, function (response) {
            var data = response.data;
            if (typeof data.Error != "undefined") {
                cb(data.Error, null);
            } else {
                cb(null, data);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'actualizarCesta',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, response);
        });
    };

    brService.eliminarApuesta = function (idApuesta, cb) {
        // 100 no existe apuesta

        brService.getCesta(function (error, data) {
            if (error) {
                cb(999, error);
            } else {
                if (data.Error !== "undefined" && data.Error == 100) {
                    cb(100);
                } else {

                    var bets = undefined;
                    if (data.Combined == 1) {
                        bets = data.BasketUser[0].ChildBets;
                    } else {
                        bets = data.BasketUser;
                    }
                    var betToDelete = bets.filter(function (item) {
                        return item.BookOdd == idApuesta;
                    })[0];

                    var reqUrl = baseVelneoUrl + "bttdel";
                    var params = {
                        id: rootScope.$storage.user.uid,
                        basketbet: betToDelete.BasketBet
                    };

                    brService.call(reqUrl, "GET", params, function (response) {
                        if (typeof response.data.Success !== 'undefined' && response.data.Success == 1) {
                            rootScope.numBetsCesta--;
                            rootScope.userBasket = rootScope.userBasket.filter(function (item) {
                                return item.BookOdd != idApuesta;
                            });
                            cb(null, response);
                        } else {
                            cb(response.data.Error);
                        }
                    }, function (response) {
                        if(typeof window.fabric !== 'undefined' && response.status == 0)
                            window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'Eliminar Apuesta',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

                        cb(999, response);
                    });
                }
            }
        });
    };

    brService.apuestaCombinada = function (combinadaFlag, cb) {
        var reqUrl = baseVelneoUrl + 'bttcomb';
        var params = {
            id: rootScope.$storage.user.uid,
            comb: combinadaFlag ? 1 : 0
        };

        brService.call(reqUrl, "POST", params, function (response) {
            if (response.data.Success == 1) {
                cb(null);
            } else {
                cb("Error combinada");
            }
        }, function (response) {
            cb(response.data);
        });

    };

    brService.confirmarApuestas = function (cb) {
        // 100 sin saldo
        // 200 evento empezado
        // 300 cesta vacia
        // 400 no inscrito en torneo
        // 500 falta parametro torneo
        // 600 importem mínimo no superado

        var reqUrl = baseVelneoUrl + 'bttsubmit';
        var params = {
            id: rootScope.$storage.user.uid
        };

        brService.call(reqUrl, "GET", params, function (response) {
            var data = response.data;
            if (data.Success == 1) {
                cb(null);
                rootScope.userPendingBets -= rootScope.numBetsCesta;
                rootScope.numBetsCesta = 0;
                rootScope.userBasket = [];
                brService.getUserData(function(){}, true);
            } else {
                cb(data);
            }
        }, function (response) {
            cb(response.data);
        });

    };

    brService.getApuestasFromTorneo = function (idTorneo, pendientes, cb) {
        var reqUrl = baseVelneoUrl + 'nicknamebetslipstournament';
        var params = {
            bp: 1,
            tournament: idTorneo,
            id: rootScope.$storage.user.uid,
            pending: pendientes ? 1 : 0,
            nickname: rootScope.$storage.user.data.NickName
        };

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data !== 0) {
                cb(null, response.data);
            } else {
                cb("Ohhps, algo va mal...");
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0)
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getApuestaFromTorneo',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, null);
        });
    };

    brService.getApuestasFromCompetition = function (idCompetition, cb, idTorneo, elements, page) {
        var reqUrl = baseVelneoUrl + 'eventscompetition';
        var params = {
            id: idCompetition,
            uid: rootScope.$storage.user.uid
        };

        if (elements !== undefined) {
            params.elem = elements;
            if (page !== undefined) {
                params.page = page;
            } else {
                params.page = 1;
            }
        }

        if(idTorneo !== undefined) {
            params.tournament = idTorneo;
        }else{
            params.tournament = 0;
        }

        brService.call(reqUrl, "GET", params, function (response) {
            if (response.data !== 0) {
                cb(null, response.data);
            } else {
                cb(99);
            }
        }, function (response) {
            if(typeof window.fabric !== 'undefined' && response.status == 0 )
                window.fabric.Answers.sendCustomEvent('Errores Peticion 999',{'function':'getApuestaFromCompetition',"error-data":response.data,"configData":response.config.data,"url":response.config.url,"status":response.status,"statusText":response.statusText});

            cb(999, null);
        });
    };

    brService.call = function (url, method, params, success, error) {

        //console.log("Calling " + url, params);

        var ts = Date.now() / 1000;
        var secret = CryptoJS.SHA1(brService.api_key + brService.word + ts).toString();

        params.api_key = brService.api_key;
        params.ts = ts;
        params.secret = secret;

        var reqBody = {
            url: url,
            method: method,
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            transformRequest: function (obj) {
                var str = [];
                for (var p in obj)
                    str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
                return str.join("&");
            }
        };

        if (method === "GET") {
            reqBody.params = params;
        } else if (method === "POST") {
            reqBody.data = params;
        }

        http(reqBody).then(
            function (response) {
                if (typeof response.data !== 'undefined' && typeof response.data.Error !== 'undefined') {
                    if(response.data.Error === 999){
                        if(!brService.errorIdentificationPopupFlag) {
                            brService.errorIdentificationPopupFlag = true;
                            ionicLoading.hide();
                            ionicPopup.alert({
                                title: "Error identificación",
                                template: "Parece que tu sesión ha caducado.<br/>Por favor, inicia sesión de nuevo."
                            }).then(function () {
                                rootScope.$storage.$reset();
                                state.go('landing');
                                brService.errorIdentificationPopupFlag = false;
                            });
                        }
                    }else{
                        if(url === baseVelneoUrl+'bttbasket' && response.data.Error === 100){
                            success(response);
                        }
                        error(response);
                    }
                } else {
                    success(response);
                }
            },
            error
        );
    };





    //$interval(function(){
    //    if(window.Connection) {
    //        if (navigator.connection.type == Connection.NONE) {
    //            $scope.errorNetwork();
    //        }
    //    }
    //}, 5000);



    rootScope.$on('refreshBasket', function(){
        if (typeof rootScope.$storage.user !== 'undefined') {
            //console.log('Emit', 'refreshing basket');
            brService.getCesta(function () {});
        }
    });

    rootScope.$on("refreshPendingBets", function() {
        if (typeof rootScope.$storage.user !== 'undefined') {
            //console.log('Emit', 'refreshing pending bets');
            brService.getUserPendingBets(function () {});
        }
    });

    rootScope.$on("refreshUserData", function(){
        //console.log('Emit', 'refreshing user data');
        brService.getUserData(function(){}, true);
    });

    return brService;

}]);

// module run
betrocketApp.run(
    function (
        $ionicPlatform,
        $timeout,
        br,
        $state,
        $stateParams,
        $rootScope,
        $localStorage,
        $cordovaSplashscreen,
        ngFB,
        $ionicPopup,
        $filter,
        $interval
        ) {

        $ionicPlatform.ready(function () {
            if (navigator.splashscreen) {
                setTimeout(function () {
                    if (device.platform == "Android") {
                        $cordovaSplashscreen.hide();
                    }
                    if (device.platform == "iPhone" || device.platform == "iOS") {
                        navigator.splashscreen.hide();
                    }
                }, 100);
            }
            var fabric = window.fabric;

            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
            $rootScope.$state = $state;
            $rootScope.$stateParams = $stateParams;


            $rootScope.$storage = $localStorage.$default({
                client: undefined,
                user:undefined
            });

            if(typeof $rootScope.$storage.user != 'undefined'){
                $rootScope.$emit('refreshUserData');
                $rootScope.$emit('refreshBasket');
                $rootScope.$emit('refreshPendingBets');
            }


            setInterval(function () {
                if(window.Connection) {
                    if (navigator.connection.type == Connection.NONE) {
                        errorNetwork();
                    }
                    else{
                        $rootScope.$emit('refreshUserData');
                        $rootScope.$emit('refreshBasket');
                        $rootScope.$emit('refreshPendingBets');
                    }
                }


            }, br.globalDataRefreshInterval); // update every 30 seg

            function errorNetwork(){
                $ionicPopup.alert({
                    title: $filter('translate')('alert.network.title'),
                    content: $filter('translate')('alert.network.description')
                }).then(function(result) {
                    if(navigator.app){
                        navigator.app.exitApp();
                    }else if(navigator.device){
                        navigator.device.exitApp();
                    }else{
                        ionic.Platform.exitApp();

                    }
                });
            };

            $rootScope.$on('$cordovaNetwork:offline', function(event, networkState){
                errorNetwork();
            });
        });

        $ionicPlatform.registerBackButtonAction(function (e) {
            if (typeof $rootScope.$storage.user === 'undefined') {
                navigator.app.exitApp();
                e.preventDefault();
            }
            return false;
        }, 101);

        ngFB.init({appId: '876796969083035'});
    }
);

// module constants
betrocketApp.constant('$ionicLoadingConfig', {
    template: '<i class="loadingBetrocket fa fa-circle-o-notch fa-spin" ></i>',
    animation: 'fade-in',
    showBackdrop: true,
    showDelay: 0
});

// module configuration
betrocketApp.config(function ($provide, $windowProvider,$stateProvider, $ionicConfigProvider, $urlRouterProvider, $translateProvider, $httpProvider, $momentProvider) {

    $ionicConfigProvider.tabs.position('bottom');
    $ionicConfigProvider.navBar.alignTitle('center');
    $ionicConfigProvider.views.swipeBackEnabled(false);
    $ionicConfigProvider.views.maxCache(0);

    $httpProvider.defaults.useXDomain = true;
    $httpProvider.defaults.headers['Access-Control-Allow-Origin'] = '*';
    $httpProvider.defaults.headers['Access-Control-Allow-Methods'] = 'POST, GET, OPTIONS, PUT';
    $httpProvider.defaults.headers['Access-Control-Allow-Headers'] = 'Origin, X-Requested-With, Content-Type, Accept';
    delete $httpProvider.defaults.headers.common['X-Requested-With'];

    $momentProvider
        .asyncLoading(false)
        .scriptUrl('//cdnjs.cloudflare.com/ajax/libs/moment.js/2.5.1/moment.min.js'); // TODO swap local


    $provide.decorator("$exceptionHandler", function ($delegate, $injector,$window) {
        return function (exception, cause) {
            var $ionicPopup = $injector.get("$ionicPopup");
            var $state = $injector.get("$state");


            $ionicPopup.alert({
                title: "Error",
                template: "<p style='text-align:center; color:red;'>Ohhps! Algo va mal...<br/>[" + exception.message + "]</p>"
            }).then(function (res) {
                $state.go('landing');
            });
            $delegate(exception, cause);
        };
    });

    $stateProvider
        .state('landing', {
            url: '/',
            templateUrl: 'templates/landing/landingView.html',
            controller: 'landingController'
        })
        .state('login', {
            url: '/login',
            templateUrl: 'templates/landing/login/loginView.html',
            controller: 'loginController'
        })
        .state('register', {
            url: '/register',
            templateUrl: 'templates/landing/register/registerView.html',
            controller: 'registerController'
        })
        .state('forget', {
            url: '/forget',
            templateUrl: 'templates/landing/forget/forgetView.html',
            controller: 'forgetController'
        })
        .state('demo', {
            url: '/demo',
            templateUrl: 'templates/landing/demo/demoView.html',
            controller: 'demoController'
        })
        .state('invite', {
            url: '/invite',
            templateUrl: 'templates/landing/invite/inviteView.html',
            controller: 'inviteController'
        })
        .state('index', {
            //url: '/',
            views: {
                '@': {
                    templateUrl: 'templates/abstractView.html',
                    controller: 'AppCtrl'
                },
                'headerBar@index': {
                    templateUrl: 'templates/modules/headerBar/headerBar.html',
                },
                'sideNavMenu@index': {
                    templateUrl: 'templates/modules/sideBar/sideNavBar.html'
                },
                'sideNavRightMenu@index': {
                    templateUrl: 'templates/modules/sideBar/sideNavRightBar.html'
                },
                'footerMenu@index': {
                    templateUrl: 'templates/modules/footerMenu/footerMenu.html'
                    //controller: 'footerMenuController'
                },
                'cestaLibresButtonView@index': {
                    templateUrl: 'templates/apuestas/disponibles/cesta/buttonCesta.html',
                    controller: 'cestaLibresController'
                }
            }
        })
        .state('mobile', {
            parent: 'index',
            abstract: true,
            url: '/mobile',
            views: {
                'torneosView@index': {
                    templateUrl: 'templates/torneos/torneos.html',
                    controller: 'torneosController'
                },
                'rankingView@index': {
                    templateUrl: 'templates/ranking/ranking.html',
                    controller: 'rankingController'
                },
                'apuestasView@index': {
                    templateUrl: 'templates/apuestas/apuestas.html'
                }

            }
        })
        .state('apuestas', {
            parent: 'mobile',
            abstract: true,
            url: '/apuestas'
        })
        .state('apuestas.disponibles', {
            url: '/disponibles',
            views: {
                'availablesApuestasLibresTab@mobile': {
                    templateUrl: 'templates/apuestas/disponibles/apuestas.html',
                    controller: 'apuestasController'
                }
            }
        })
        .state('apuestas.disponibles.eventoLibre', {
            url: '/eventoLibre/:tournamentId',
            views: {
                'apuestasView@index': {
                    templateUrl: 'templates/apuestas/disponibles/event/eventLibre.html',
                    controller: 'eventLibreController'
                }
            }
        })
        .state('apuestas.jugando', {
            url: '/jugando',
            views: {
                'playingApuestasLibresTab@mobile': {
                    templateUrl: 'templates/apuestas/jugando/apuestasJugandoView.html',
                    controller: 'apuestasLibreJugandoController'
                }
            }
        })
        .state('apuestas.finalizados', {
            url: '/finalizados',
            views: {
                'endingApuestasLibresTab@mobile': {
                    templateUrl: 'templates/apuestas/finalizados/apuestasFinalizadasView.html',
                    controller: 'apuestasLibreFinalizadosController'
                }
            }
        })
        .state('pendientes', {
            parent: 'mobile',
            url: '/pendientes',
            views: {
                'pendientesView@index': {
                    templateUrl: 'templates/pendientes/pendientesView.html',
                    controller: 'pendingsController'
                }
            }
        })
        .state('ranking', {
            parent: 'mobile',
            abstract: true,
            url: '/ranking'
        })
        .state('ranking.division', {
            url: '/division',
            views: {
                'divisionTab@mobile': {
                    templateUrl: 'templates/ranking/division/divisionView.html',
                    controller: 'divisionController'
                }
            }
        })
        .state('ranking.temporada', {
            url: '/temporada',
            views: {
                'temporadaTab@mobile': {
                    templateUrl: 'templates/ranking/temporada/temporadaView.html',
                    controller: 'temporadaController'
                }
            }
        })
        .state('ranking.amigos', {
            url: '/amigos',
            views: {
                'amigosTab@mobile': {
                    templateUrl: 'templates/ranking/amigos/amigosView.html',
                    controller: 'amigosController'
                }
            }
        })
        .state('torneos', {
            parent: 'mobile',
            abstract: true,
            url: '/torneos'
        })
        .state('torneos.jugando', {
            url: '/jugando',
            views: {
                'playingTab@mobile': {
                    templateUrl: 'templates/torneos/jugando/jugando.html',
                    controller: 'jugandoController'
                }
            }
        })
        .state('torneos.disponibles', {
            url: '/disponibles',
            views: {
                //'carrouselTournaments@torneos.disponibles': {
                //    templateUrl: 'templates/modules/carrousel/carrousel.html',
                //    controller: 'carrouselViewController'
                //},
                'availablesTab@mobile': {
                    templateUrl: 'templates/torneos/disponibles/disponibles.html',
                    controller: 'disponiblesController'
                }
            }
        })
        .state('torneos.finalizados', {
            parent: 'torneos',
            url: '/finalizados',
            views: {
                'endingTab@mobile': {
                    templateUrl: 'templates/torneos/finalizados/finalizados.html',
                    controller: 'finalizadosController'
                }
            }
        })
        .state('mobile.torneo', {
            url: '/torneo:',
            templateUrl: 'templates/landing/invite/inviteView.html',
            controller: 'inviteController'
        })
        .state('detailTournament', {
            url: '/detail/:tournamentId',
            parent:'index',
            views: {
                'footerMenu@index': {
                    templateUrl: 'templates/torneos/torneo/torneo.html',
                    controller: 'torneoDetailController'
                },
                'cestaButtonView@detailTournament': {
                    templateUrl: 'templates/modules/cesta/buttonCesta.html',
                    controller: 'cestaController'
                }
            }
        })
        .state('detailTournament.apuestas', {
            url: '/apuestasTorneo/',
            views: {
                'apuestasTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/apuestas/apuestas.html',
                    controller: 'apuestasTournamentController'
                }

            }
        })
        .state('detailTournament.event', {
            url: '/event',
            views: {
                'apuestasTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/apuestas/event/event.html',
                    controller: 'eventController'
                }
            }
        })
        .state('detailTournament.pronosticos', {
            url: '/pronosticos',
            views: {
                'pronosticosTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/pronosticos/pronosticos.html',
                    controller: 'pronosticosTournamentController'
                }
            }
        })
        .state('detailTournament.ranking', {
            url: '/ranking/',
            views: {
                'rankingTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/ranking/viewRankingFinalizado.html',
                    controller: 'rankingTournamentFinalizadoController'
                }
            }
        })
        .state('detailTournament.rankingFinalizado', {
            url: '/rankingFinalizado',
            views: {
                'rankingTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/ranking/viewRankingFinalizado.html',
                    controller: 'rankingTournamentFinalizadoController'
                }
            }
        })
        .state('detailTournament.timeline', {
            url: '/timeline',
            views: {
                'timelineTournamentTab': {
                    templateUrl: 'templates/torneos/torneo/timeline/timeline.html',
                    controller: 'timelineTournamentController'
                }
            }
        });

    $urlRouterProvider.otherwise('/');

    $translateProvider.translations('en', translations.en);
    $translateProvider.translations('es', translations.es);
    $translateProvider.preferredLanguage("es");
    $translateProvider.fallbackLanguage("es");
    // Enable escaping of HTML
    $translateProvider.useSanitizeValueStrategy('escape');


});


// Filters
betrocketApp
    .filter('brDate', function () {
        return function (input) {
            moment.locale('es');
            return moment(input, "DD-MM-YYYY HH:mm").locale('es').calendar();
        };
    })
    .filter('brDateEvent', function () {
        return function (input) {
            moment.locale('es');
            return moment(input, "MMMM Do YYYY, hh:mm:ss").locale('es').calendar();
        };
    })
    .filter('brDateTournaments', function () {
        return function (input) {
            moment.locale('es');
            return moment(input, "DD-MM HH:mm").locale('es').calendar();
        };
    })
    .filter('brDateAlerts', function () {
        return function (input) {
            moment.locale('es');
            return moment(input, "YYYY-MM-DD").locale('es').calendar();
        }
    })
    .filter('brDateRanking', function () {
        return function (input) {
            moment.locale('es');
            return moment(input, "YYYY-MM").locale('es').calendar();
        }
    })
    .filter('brDatePendingBets', function(){
        return function(input){
            moment.locale('es');
            return moment(input, "YYYY-MM-DD HH:mm").locale('es').calendar();
        }
    })
    .filter('brTournamentStars', function () {
        return function (input) {
            if (input < 4) {
                output =
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>";
            } else if (input < 8) {
                output =
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>";
            } else if (input < 15) {
                output =
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket'></i>" +
                    "<i class='ion-star stars-betrocket'></i>";
            } else if (input < 25) {
                output =
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket'></i>";
            } else {
                output =
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>" +
                    "<i class='ion-star stars-betrocket active'></i>";
            }
            return output;
        }
    })
    .filter('brEventOddType', function () {
        return function (odd) {
            var classOddTypeId = 3;
            switch (odd.OddTypeId) {
                case 1:
                case 6:
                    classOddTypeId = 1;
                    break;
                case 5:
                    if(odd.Participants.length == 2){
                        classOddTypeId = 2;
                    }
                    else{
                        classOddTypeId = 1;
                    }
                    break;
                case 2:
                case 13:
                case 15:
                    classOddTypeId = 2;
                    break;
                case 7:
                case 8:
                case 14:
                    classOddTypeId = 3;
                    break;
                default:
                    classOddTypeId = 3;
                    break;
            }
            return classOddTypeId;
        }
    })
    .filter('brNumber2', function () {
        return function (input) {
            var integerPart = Math.floor(input) + '',
                decimalPart = 0,
                multipleChar = '',
                decimalPlaces = 2,
                decimalSeparator = '.',
                thousandSeparator = '.';

            if(integerPart>9999){
                multipleChar = 'K';
                decimalPart = (integerPart.substr(-3)/1000).toFixed(decimalPlaces).slice(decimalPlaces);
                integerPart = integerPart.substr(0, integerPart.length - 3);
            }else if(integerPart>999999){
                multipleChar = 'M';
                decimalPart = (integerPart.substr(-6)/1000000).toFixed(decimalPlaces).slice(decimalPlaces);
                integerPart = integerPart.substr(0, integerPart.length - 6);
            }

            var j = (j = integerPart.length) > 3 ? j % 3 : 0;
            return (j ? integerPart.substr(0, j) + thousandSeparator : "")
                + integerPart.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousandSeparator)
                + (decimalPlaces && decimalPart ? decimalSeparator + decimalPart : "")
                + (multipleChar ? multipleChar : '');
        }
    })
    .filter('brNumber', function () {
        return function (num) {
            if(typeof num === 'undefined'){
                return "...";
            }
            var si = [
                { value: 1E18, symbol: "E" },
                { value: 1E15, symbol: "P" },
                { value: 1E12, symbol: "T" },
                { value: 1E9,  symbol: "G" },
                { value: 1E6,  symbol: "M" },
                { value: 1E3,  symbol: "k" }
            ], i;
            for (i = 0; i < si.length; i++) {
                if (num >= si[i].value) {
                    return (num / si[i].value).toFixed(1).replace(/\.?0+$/, "") + si[i].symbol;
                }
            }
            return Number(num).toFixed(0);
        }
    })
    .filter('filterImgPopover', function () {
        return function (input) {
            if(typeof input !== 'undefined'){
                var value = input.split('{')[1];
                value = value.split('}')[0];
                while (value.toString().indexOf(".") != -1)
                    value = value.toString().replace(".","-");
                return value;
            }
            return null;

        }
    })
    .filter('split', function () {
        return function (input, splitChar, splitIndex) {
            if(typeof input !== 'undefined') {
                return input.split(splitChar)[splitIndex];
            }
            return null;
        }
    });



