/**
 * Created by alexmarcos on 4/10/15.
 */

var translations = {
    "es": {
        "alert.network.title":"¡Sin Conexión!",
        "alert.network.description":"¡Tu disposivo no tiene conexión en este momento!",
        "now": "ahora",
        "general.appName": "betrocket",
        "general.building": "¡En Construcción!",
        "general.nameUserInput": "Email de usuario",
        "general.emailUserInput": "Tu dirección de email",
        "general.passwordUserInput": "Tu contraseña",
        "landing.subTitle": "Diviértete pronosticando",
        "landing.descriptionView": "Empieza a jugar y compite por ser el mejor pronosticador del mundo.",
        "landing.alertMessage": "No publicaremos nada sin tu permiso",
        "landing.buttonRegisterFacebook": "¡Registrate ahora!",
        "landing.withAccount": "¿Ya tienes cuenta?",
        "landing.conjuntionOr": "O",
        "landing.registerByEmail": "registrase vía email",
        "login.subTitle": "Accede a tu cuenta",
        "login.initSession": "Iniciar sesión",
        "login.forgetEnterData": "¿Olvidaste tus datos de acceso?",
        "login.goToRegister": "¿No tienes cuentas? ¡Registrate ahora!",
        "register.subTitle": "Crea tu cuenta",
        "register.initSession": "Iniciar sesión",
        "register.registerSession": "Registrarme con Facebook",
        "register.alreadyRegistered": "¿Ya estás registrado? ¡Conectate!",
        "forget.description": "¿Olvidaste tus datos de acceso a BetRocket? Escribe tu email y te enviaremos una nueva contraseña para jugar.",
        "forget.forgetData": "¿Olvidaste tus datos?",
        "forget.requestPassword": "Solicitar Contraseña",
        "demo.waitYou": "¡Te estábamos esperando!",
        "demo.findOut": "¡Descúbrelo!",
        "invite.inviteFriends": "¡Invita a tus amigos!",
        "invite.description": "Invitar a todos mis amigos y ganar 2.500",
        "invite.footerScreen": "Se enviarán invitaciones, no se publicará en tu perfil",
        "seccionTitle.tournament": "Torneos",
        "seccionTitle.ranking": "Ranking",
        "seccionTitle.achievements": "Logros",
        "seccionTitle.pronostic": "Pronostico",
        "seccionTitle.leage": "Ligas",
        "seccionTitle.bets": "Apuestas",
        "seccionTitle.pendings": "Pendientes",
        "sideBar.appTitleBet": "bet",
        "sideBar.appTitleRocket": "rocket",
        "sideBar.profile": "Mi perfil",
        "sideBar.notifications": "Notificaciones",
        "sideBar.achievements": "Logros",
        "sideBar.editProfile": "Editar Perfil",
        "sideBar.myFriends": "Mis amigos",
        "sideBar.inviteFriends": "Invitar amigos",
        "sideBar.preferences": "Preferencias",
        "sideBar.logout": "Cerrar sesión",
        "sideBar.connexionStreak": "Racha de conexion",
        "sideBar.bets": "Apuestas",
        "sideBar.risk": "Riesgo",
        "sideBar.tournaments": "Torneos",
        "sideBar.wons": "Ganadas",
        "torneos.playing": "Jugando",
        "torneos.availables": "Disponibles",
        "torneos.ending": "Finalizados",
        "filter.torneos.a-z": "A-Z",
        "filter.apuestasLibres.a-z": "A-Z",
        "filter.apuestasLibres.deportes": "Deportes",
        "filter.apuestasLibres.top": "Top",
        "filter.apuestasLibres.proximos": "Proximos",
        "filter.torneos.description": "Filtrar torneos por…",
        "filter.torneos.inicio": "Inicio",
        "filter.torneos.inicioDesc": "Poner el listado por defecto",
        "filter.torneos.populares": "Populares",
        "filter.torneos.popularesDesc": "Torneos con más jugadores participando",
        "filter.torneos.favoritos": "Favoritos",
        "filter.torneos.favoritosDesc": "Tus torneos marcados como favoritos",
        "filter.torneos.relevancia": "Relevancia",
        "filter.torneos.relevanciaDesc": "Torneos ordenados por precio inscripción",
        "filter.torneos.fecha": "Fecha",
        "filter.torneos.fechaDesc": "Torneos ordenados por fecha de finalización",
        "filter.torneos.deportes": "Deportes",
        "filter.torneos.deportesDesc": "Torneos ordenados por deporte",
        "modal.inscribirTorneo.title": "Inscripción torneo",
        "modal.inscribirTorneo.canWin": "Puedes Ganar",
        "modal.inscribirTorneo.playNow": "¡Jugar ahora!",
        "modal.inscribirTorneo.conseguirCoins": "¡Conseguir coins ahora!",
        "modal.inscribirTorneo.shareMyInscription": "Compartir mi inscripción en Facebook (+25c)",
        "modal.inscribirTorneo.notEnoughCoins": "No tienes suficientes coins para jugar el torneo",
        "modal.inscribirTorneo.notEnoughLevel": "No tienes suficiente nivel para jugar el torneo",
        "modal.alertas.inputSearch": "Buscar alerta...",
        "modal.alertas.delTorneo": "del torneo:",
        "modal.alertas.showTournament": "Ver torneo",
        "modal.confirmbet.headerTitle": "Cesta apuestas",
        "modal.confirmbet.titleConfirmBet":"Apuestas confirmadas",
        "modal.confirmbet.sharePronostics": "¡Comparte tus pronósticos!",
        "modal.rankingMyInfo.headerTitle": "Información",
        "modal.rankingMyInfo.tabMiRanking": "Mi ranking",
        "modal.rankingMyInfo.tabRecompensas": "Recompensas",
        "modal.rankingMyInfo.groupLabel": "Grupo",
        "modal.rankingMyInfo.weekLabel": "Semana",
        "modal.rankingMyInfo.groupsInDivision": "Grupos en División",
        "modal.rankingMyInfo.updateRanking": "Actualización ranking",
        "modal.rankingMyInfo.upDivision": "Subirá de división",
        "modal.rankingMyInfo.downDivision": "Bajará de división",
        "modal.rankingMyInfo.objective": "Objetivo",
        "modal.rankingMyInfo.nextTemporada": "Próxima temporada",
        "modal.rankingMyInfo.week": "Semanas",
        "modal.rankingMyInfo.help": "Ayuda",
        "modal.rankingMyInfo.bodyHelp": "Haz tus apuestas, juega torneos y gana a tus rivales para ganar experiencia y competir en tu división.",
        "modal.rankingMyInfo.nextRecompensas": "Próximas recompensas en…",
        "modal.rankingMyInfo.gananciaPotencial": "Ganancia potencial:",
        "modal.rankingMyInfo.finishTime": "¡Se acabó!",
        "modal.recompensas.headerTitle": "Recompensas",
        "modal.coins2cash.buttonChange": "Canjear",
        "torneo.ranking": "Ranking",
        "torneo.bets": "Apuestas",
        "torneo.bets.NoMoreBets":"No hay apuestas disponibles para este torneo",
        "torneo.bets.betMore":"¡Inscribete en otro torneo para seguir apostando!",
        "torneo.pronostics": "Mis Pronosticos",
        "torneo.timeline": "Timeline",
        "cestaBets.titleCesta": "Cesta apuestas",
        "cestaBets.minBets": "Apuestas minimas",
        "cestaBets.pendientes": "apuestas pendientes",
        "cestaBets.completadas": "Mínimo completado",
        "cestaBets.simpleBets": "Simple",
        "cestaBets.combiBets": "Combinadas",
        "cestaBets.bets": "Apuestas",
        "cestaBets.willWin": "Ganarás",
        "cestaBets.confirmBet": "¡Confirmar apuestas!",
        "cestaBets.withoutMoney": "Sin saldo suficiente",
        "cestaBets.experiencia": "Experiencia",
        "{defw.Draw}": "Empate",
        "{defw.oddtype.id1}" : "Ganador del partido",
        "sideBarRight.coins": "Coins",
        "sideBarRight.chips": "Fichas",
        "sideBarRight.cash": "Cash",
        "sideBarRight.what": "¿Qué son?",
        "sideBarRight.chipsGame": "Fichas en juego",
        "sideBarRight.cashGame": "Cash en juego",
        "sideBarRight.coinsGame": "Coins en juego",
        "sideBarRight.moreCoins": "Conseguir coins",
        "sideBarRight.moreCash": "Conseguir cash",
        "sideBarRight.freeCoins": "Coins gratis",
        "sideBarRight.offer": "Ofertas",
        "sideBarRight.forMe": "¿Para mi?",
        "sideBarRight.free": "Gratis",
        "sideBarRight.buy": "Comprar",
        "sideBarLeftBets.pendents": "Pendientes",
        "sideBarLeftBets.searchPending": "Buscar apuestas pendientes...",
        "sideBarLeftBets.allBets": "Todas",
        "sideBarLeftBets.freeBets": "Libre",
        "sideBarLeftBets.tournamentBets": "Torneos",
        "sideBarLeftBets.withoutPendingsDescription": " No tienes apuestas pendientes ahora mismo.",
        "sideBarLeftBets.betNow": "¡Apuesta ahora!",
        "jugando.withoutTorneosDescription":" No estas jugando ningún torneo ahora mismo.",
        "jugando.withoutApuestasDescription":" No estas jugando apuestas libres ahora mismo.",
        "jugando.betNow": "¡Apuesta ahora!",
        "pronostics.cancel":"Cancelar",
        "pronostics.power":"Potenciar",
        "pronostics.locked":"Asegurar",
        "pronostics.pending":"Pendientes",
        "pronostics.finished":"Finalizados",
        "pronostics.emptyFinished":"No tienes pronósticos finalizados ahora mismo.",
        "pronostics.won":"Ganada",
        "pronostics.lost":"Perdida",
        "pronostics.cancel":"Cancelada",
        "ranking.general.division":"División",
        "ranking.general.temporada":"Temporada",
        "ranking.general.amigos":"Amigos",
        "ranking.general.divisionActual":"Número de división",
        "ranking.general.divisionGanadas":"Jornadas terminadas en top",
        "ranking.general.infoSubidasYBajadas":"Subidas y Bajadas de División",
        "ranking.division.noDivision": "Parece que hace tiempo que no juegas.",
        "ranking.division.joinNow": "¡Juega de nuevo para clasificarte para una división!",
        "{defw.oddtype.id1}": "Ganador del partido",
        "{defw.oddtype.id2}": "Ganador",
        "{defw.oddtype.id3}": "Ganador de la carrera",
        "{defw.oddtype.id4}": "Pole Position",
        "{defw.oddtype.id5}": "Ganador del primer tiempo",
        "{defw.oddtype.id6}": "Ganador del segundo tiempo",
        "{defw.oddtype.id7}": "Resultado exacto",
        "{defw.oddtype.id8}": "Doble resultado (Descanso/Final)",
        "{defw.oddtype.id9}": "Goleador en cualquier momento",
        "{defw.oddtype.id10}": "Margen de victoria",
        "{defw.oddtype.id11}": "Total de puntos",
        "{defw.oddtype.id12}": "Total corners del partido",
        "{defw.oddtype.id13}": "Marcan ambos equipos",
        "{defw.oddtype.id14}": "Equipos que marcarán",
        "{defw.oddtype.id15}": "Total goles Under/Over",
        "{defw.oddtype.id16}": "Ganador del primer cuarto",
        "{defw.oddtype.id17}": "Ganador del segundo cuarto",
        "{defw.oddtype.id18}": "Margen de victoria primera parte",
        "{defw.oddtype.id19}": "Habrá prórroga",
        "{defw.oddtype.id20}": "Ganador del primer set",
        "{defw.oddtype.id21}": "Ganador del segundo set",
        "{defw.oddtype.id22}": "Set Betting",
        "{defw.oddtype.id23}": "Resultado exacto primer set",
        "{defw.oddtype.id24}": "Resultado exacto segundo set",
        "{defw.oddtype.id25}": "Pronóstico primer set",
        "{defw.oddtype.id26}": "Pronósitco segundo set",
        "{defw.oddtype.id27}": "Número de sets",
        "{defw.oddtype.id28}": "Pasará de ronda",
        "{defw.oddtype.id29}": "Constructor ganador de la carrera",
        "{defw.oddtype.id30}": "Acabará en el podium",
        "{defw.oddtype.id31}": "Vuelta rápida",
        "{defw.oddtype.id32}": "Primero en retirarse de la carrera",
        "{defw.oddtype.id33}": "Primer constructor en retirarse",
        "{defw.oddtype.id34}": "Safety Car",
        "{defw.oddtype.id35}": "Poduim con dos pilotos del equipo",
        "{defw.oddtype.id36}": "Primeras dos posiciones",
        "{defw.oddtype.id37}": "Ganador de la eliminatoria",
        "{defw.oddtype.id38}": "Ganador del combate",
        "{defw.oddtype.id39}": "Knock Down Specials",
        "{defw.oddtype.id40}": "Fight Specials",
        "{defw.oddtype.id41}": "Method Of Result",
        "{defw.oddtype.id42}": "Round Betting",
        "{defw.oddtype.id43}": "Grouped Round Betting",
        "{defw.oddtype.id44}": "Alternate Grouped Round Betting 1",
        "{defw.oddtype.id45}": "Alternate Grouped Round Betting 2",
        "{defw.oddtype.id46}": "Either Fighter to get a Points Deduction",
        "{defw.oddtype.id47}": "Mayweather Punches Landed %",
        "{defw.oddtype.id48}": "Pacquiao Punches Landed %",
        "{defw.oddtype.id49}": "Better Punches Landed %",
        "{defw.oddtype.id50}": "Fight to go the Distance",
        "{defw.sport.id1}": "Fútbol",
        "{defw.sport.id2}": "Tenis",
        "{defw.sport.id3}": "Baloncesto",
        "{defw.sport.id4}": "Motor",
        "{defw.sport.id5}": "Balonmano",
        "{defw.sport.id6}": "Baseball",
        "{defw.sport.id7}": "Fútbol Americano",
        "{defw.sport.id8}": "Hockey",
        "{defw.sport.id11}": "Dardos",
        "{defw.sport.id10}": "Volleyball",
        "{defw.sport.id9}": "Rugby",
        "{defw.sport.id12}": "Snooker",
        "{defw.sport.id13}": "Waterpolo",
        "{defw.sport.id14}": "e-Sports",
        "{defw.sport.id15}": "Boxeo",
    },
    "en": {
        "general.appName" : "betrocket",
        "sideBar.appTitleBet" : "bet",
        "sideBar.appTitleRocket" : "rocket"

        
    }
}