betrocketApp.controller('cestaLibresController', function ($scope,$state, $rootScope, $translate, $compile, $timeout,$ionicListDelegate, $ionicSideMenuDelegate, $ionicModal, $ionicLoading, $ionicPopup, $filter,br) {

    $scope.chipsBet = 0;
    $scope.forecastWinnings = 0;
    $scope.basket="";
    $scope.betsAreCombined=false;
    $scope.xpWin = 0;
    $scope.loaded=false;

    var refreshBasketValues = function(){
        //if($rootScope.basket.BasketUser.length > 0) {
            br.getCesta(function (error, data) {

                if (error) {
                    // TODO ALERT
                } else {
                    if (typeof data.Error === "undefined") {
                        $scope.loaded = true;
                        $scope.chipsBet = 0;
                        $scope.forecastWinnings = 0;
                        $scope.basket = data.BasketUser;
                        $scope.modalCesta.show();
                        if (data.Combined == 1) {
                            $scope.betsAreCombined = true;
                            $scope.chipsBet = data.BasketUser[0].BetAmount;
                            $scope.forecastWinnings = data.BasketUser[0].ForecastWinnings;
                            $scope.xpWin = ($scope.chipsBet + $scope.forecastWinnings) * br.xpWinFactor;
                            $(".content-tab-combi-bets").removeClass("hide");
                            $(".content-tab-simple-bets").addClass("hide");
                            $(".tab-simple-bets").removeClass('active');
                            $(".tab-combi-bets").addClass('active');
                        } else {
                            $scope.betsAreCombined = false;
                            $(".content-tab-combi-bets").addClass("hide");
                            $(".content-tab-simple-bets").removeClass("hide");
                            $(".tab-simple-bets").addClass('active');
                            $(".tab-combi-bets").removeClass('active');
                            $scope.basket.forEach(function (item) {
                                $scope.chipsBet += item.BetAmount;
                                $scope.forecastWinnings += item.ForecastWinnings;
                            });
                            $scope.xpWin = ($scope.chipsBet + $scope.forecastWinnings) * br.xpWinFactor;
                        }
                    }
                }
                //$timeout(function(){
                    $ionicLoading.hide();
                //},1500);
            });
       // }else{
           // $ionicLoading.hide();
        //}
    };

    refreshBasketValues();

    $scope.openCesta = function () {
        $ionicLoading.show();
        br.getCesta(function(){
            $scope.modalCesta.show();
            $ionicLoading.hide();
        });
        $(".homeAppView").addClass("blur-backapp");
    };


    $scope.closeCesta = function () {
        //('Cerrar cesta');
        $scope.modalCesta.hide().then(function () {
            $rootScope.$emit("refreshBasket");
            $(".homeAppView").removeClass("blur-backapp");
            //$(".content-make-bets-open").removeClass("content-make-bets-open");
        });
    };

    $scope.changeTabBets = function (isCombined) {
        br.apuestaCombinada(isCombined, function(error){
            if(!error) {
                refreshBasketValues();
            }else{
                $ionicPopup.alert({
                    title: "Error",
                    template: error
                });
            }
        });
    };

    $scope.openChangeMyBet = function (id, bet, event) {
        event.preventDefault();
        event.stopPropagation();
        //(id)
        var element = '#'+id;
        var elementRow = $('#'+id);

        if (!$(element).hasClass("content-make-bets-open") ) {
            $scope.amountSelected = bet.BetAmount;

            var morePanelsOpeneds = $(".content-tab-bets").find(".content-make-bets");
            if(morePanelsOpeneds.length>0){
                //(morePanelsOpeneds);
                $scope.closePanelChangeApuesta(morePanelsOpeneds[0],$(".content-tab-bets").find(".content-make-bets-open"));
                $scope.openPanelChangeApuesta(elementRow,element,bet)
            }
            else{
                $scope.openPanelChangeApuesta(elementRow,element,bet);
            }
        }
        else {
            $scope.closePanelChangeApuesta($(".content-make-bets"),element)
        }
        /*
        var element = "#"+id;
        //(id)
        var elementRow = $(element);

        if (!$(element).hasClass("content-make-bets-open") ) {
            $scope.amountSelected = Math.round(bet.BetAmount / 100) * 100;

            var morePanelsOpeneds = $(".content-tab-bets").find(".content-make-bets");
            if(morePanelsOpeneds.length>0){
                //(morePanelsOpeneds);
                $scope.closePanelChangeApuesta(morePanelsOpeneds,$(".content-tab-bets").find(".content-make-bets-open"));
                $scope.openPanelChangeApuesta(elementRow,element,bet)
            }
            else{
                $scope.openPanelChangeApuesta(elementRow,element,bet);
            }
        }
        else {
            $scope.closePanelChangeApuesta(elementRow.find(".content-make-bets"),element)
        }
        */
    };

    $scope.closePanelChangeApuesta = function(elementRow,element,fn){
        $(".triangleStyle").slideDown(300, function () {
            $(elementRow).slideUp("fast", function () {
                $(this).remove();
                $scope.amountSelected = -1;
                fn;
            });
            $(".content-make-bets-open").removeClass("content-make-bets-open");
        });
    };

    var dyamicButtonsForBets = function (cash) {
        if(cash > 5000000) return [500000,750000,1000000,2500000,5000000,7500000,10000000,25000000];
        if(cash > 2000000) return [200000,250000,500000,750000,10000000,2500000,5000000,7500000];
        if(cash > 1000000) return [100000,150000,200000,250000,500000,750000,1000000,2500000];
        if(cash > 500000) return [50000,75000,100000,150000,200000,250000,500000,750000];
        if(cash > 250000) return [25000,30000,35000,40000,50000,75000,100000,150000];
        if(cash > 100000) return [10000, 15000,20000,25000,30000,35000,40000,50000];
        if(cash > 50000) return [5000, 7500, 10000, 15000,20000,25000,30000,35000];
        if(cash > 10000) return [2500, 3000, 4000,5000, 7500, 10000, 15000,20000];
        if(cash > 2000) return [1000, 1500,2000, 2500, 3000, 4000,5000, 7500];
        if(cash >= 0) return [500, 750, 1000, 1500,2000, 2500, 3000, 4000];
    };

    $scope.openPanelChangeApuesta = function(elementRow,element,bet){
        var credits = typeof $rootScope.user != 'undefined' ? $rootScope.user.data.Credit : 0;
        var buttonsBets = dyamicButtonsForBets(credits);
        var html = '<div style="display: none" class="content-make-bets">' +
            '<span class="triangleStyle"></span>' +
            '<div class=" row row-make-bets">' +
            '<div id="bet250" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[0]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[0])+'</div>' +
            '<div id="bet500" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[1]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[1])+'</div>' +
            '<div id="bet750" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[2]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[2])+'</div>' +
            '<div id="bet1000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[3]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[3])+'</div>' +
            '</div>' +
            '<div  class="row row-make-bets">' +
            '<div id="bet1500" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[4]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[4])+'</div>' +
            '<div id="bet2000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[5]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[5])+'</div>' +
            '<div id="bet3000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[6]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[6])+'</div>' +
            '<div id="bet5000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, '+buttonsBets[7]+', ' + bet.BasketBet + ')">'+$filter("brNumber")(buttonsBets[7])+'</div>' +
            '</div>' +
            '<div class="row row-footer-make-bets">' +
            '<div class="col col-75 col-input"><input class="inputDynamicBet" type="number" ng-model="amountSelected"></input></div>' +
            '<div class="col col-20 col-button-bet"><button class="buttonReliebeBetrocketLittle green" on-tap="updateBet($event, ' + bet.BasketBet + ')">Cambiar</button></div>' +
            '</div>' +
            '</div>';
        $(element).addClass("content-make-bets-open");

        if($scope.betsAreCombined)
            $(".row-info-bet-combi").after($compile(html)($scope));
        else
            elementRow.append($compile( html)($scope));
        $(".content-make-bets").slideDown("fast")
    };


    $scope.changeAmount = function (event, amount) {
        $(".col-make-simple-bet").removeClass("activated2");
        $(event.target).addClass("activated2");
        $scope.amountSelected = amount;

    };

    $scope.updateBet = function (event, bet) {
        br.actualizarApuesta(bet, $scope.amountSelected, function (error, data) {
            if (error) {
                // TODO popup
            } else {
                if (data.Success == 1) {
                    $scope.closePanelChangeApuesta($(event.target).parent().parent().parent(),$(".content-tab-bets").find(".content-make-bets-open"));
                    refreshBasketValues();
                }
            }
        });
    };

    $scope.submitBet = function(){
        $ionicLoading.show();
      br.confirmarApuestas(function(error){
          $ionicLoading.hide();
          if(!error){
              $scope.modalCesta.hide().then(function () {
                  $(".content-make-bets-open").removeClass("content-make-bets-open");
                  $rootScope.$emit("refreshBasket");
                  $scope.openModalConfirm();
                  refreshBasketValues();
                  $scope.betsAreCombined = false;
                  if(typeof window.fabric != 'undefined')
                      window.fabric.Answers.sendContentView('Cesta Libre','Apuesta Realizada');
              });

          }else{
              var alertPopup = $ionicPopup.alert({
                  title: "Confirmación",
                  template: error.Detail
              });
              alertPopup.then(function(res) {
                  if(error.Error == 100){
                      $scope.openModalCoins2Cash();
                  }
              });
          }
      });
    };
    $ionicModal.fromTemplateUrl('templates/modules/modals_coins2cash/modalCoins2Cash.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modalCoins2Cash= modal;
    });

    $scope.openModalCoins2Cash = function () {
        $scope.modalCoins2Cash.show();
    };

    $scope.closeModalCoins2Cash = function () {
        $scope.modalCoins2Cash.hide();
    };
    $scope.eliminarApuesta = function(bet){
        //console.log("eliminando apuesta");
        $ionicLoading.show();
        br.eliminarApuesta(bet.BookOdd, function (error, data) {
            if (error) {

            } else {
                $('#odd-' + bet.BookOdd).removeClass('activated2');
                $('#odd-' + bet.BookOdd).parent().children(".disabled").removeClass('disabled');
                $("#betBasketLibre"+bet.BasketBet).remove();
                refreshBasketValues();

            }
        });
    };

    $scope.openModalConfirm = function () {
        $scope.modalConfirm.show();
    };

    $rootScope.closeModalConfirmLibres = function () {
        $scope.modalConfirm.hide().then(function(){
            $(".homeAppView").removeClass("blur-backapp");
        });
    };

    $scope.amountSelected = -1;


    $ionicModal.fromTemplateUrl('templates/apuestas/disponibles/cesta/modalCesta.html', {
        scope: $scope,
        name: "cestaModal"
    }).then(function (modal) {
        $scope.modalCesta = modal;
    });

    $ionicModal.fromTemplateUrl('templates/modules/modals_confirm_bets/modalConfirmBet.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modalConfirm = $rootScope.modalConfirm = modal;
        $scope.typeConfirm = "libres";
    });

    $rootScope.$on('$stateChangeSuccess',
        function(event, toState){
            event.preventDefault();
            if(toState.name != 'apuestas.disponibles.eventoLibre' && toState.name != 'apuestas.disponibles'){
                //$rootScope.shouldBasketLibresBeShown = false;
                $scope.hideButtonCesta()
            }else{
                br.getCesta(function(){
                    //$rootScope.basket.TournamentName = "";
                    //$scope.showButtonCesta()
                });
            }
        }
    );
    $scope.showButtonCesta = function(){
        $(".viewButtonCestaLibre").removeClass("hide").addClass("animated").addClass("slideUp")
    };
    $scope.hideButtonCesta = function(){
        $(".viewButtonCestaLibre").addClass("hide").removeClass("animated").removeClass("slideUp")
    };

    $scope.$on('modal.shown', function(event, modal){
        $(".homeAppView").addClass("blur-backapp");

        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Cesta Libre','abierta');

    });
    $scope.$on('modal.hidden', function() {
        $ionicListDelegate.closeOptionButtons();
        $(".homeAppView").removeClass("blur-backapp");
        if(typeof $(".content-make-bets-open") !== 'undefined'){
            var morePanelsOpeneds = $(".content-tab-bets").find(".content-make-bets");
            if(morePanelsOpeneds.length>0){
                $scope.closePanelChangeApuesta(morePanelsOpeneds[0],$(".content-tab-bets").find(".content-make-bets-open"));
            }
        }
    });
});