betrocketApp.controller('eventLibreController', function ($scope, $rootScope, $state, $timeout, $filter, $ionicHistory, $ionicLoading, $ionicPopup, br) {

    $scope.myGoBack = function() {
        $state.go('apuestas.disponibles');
    };

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Apuestas Libres','Dentro del Evento',$scope.$root.selectedTournamentId);

    $scope.selectOdd = function ($event, event, participant) {
        //$('.viewButtonCestaLibre').show();
        $ionicLoading.show();

        if ($("#odd-"+participant.Odds[0].BookOdd).hasClass('activated2')) {
            br.eliminarApuesta(participant.Odds[0].BookOdd, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    $("#odd-"+participant.Odds[0].BookOdd).removeClass('activated2');
                    if(event.OddTypeId == 1 ){
                        $('.event-'+event.MarketId).removeClass('disabled');
                    }
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        } else {
            var cashApostado = br.minBetAmount;
            try{
                cashApostado = Math.round($rootScope.user.data.Credit * 0.20);
            }catch(e){}

            br.apostar($scope.$root.selectedTournamentId, participant.Odds[0].BookOdd, cashApostado, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    if(event.OddTypeId == 1 ){
                        $('.event-'+event.MarketId).addClass('disabled');
                    }
                    $("#odd-"+participant.Odds[0].BookOdd).removeClass('disabled');
                    $("#odd-"+participant.Odds[0].BookOdd).addClass('activated2');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        }
    };

    $scope.$watch(function(){
        if(typeof $rootScope.basket !== 'undefined'){
            return $rootScope.basket;
        }else{
            return false;
        }
    }, function(value,value2){
           if(value){
               if ($rootScope.basket.BasketUser.length == 0) {
                   $(".pastillas-apuestas-event").removeClass('disabled activated2');
                   $scope.hideButtonCesta();
               } else {
                   //$timeout(function(){
                       var betsBasket = $rootScope.basket.Combined == 1 ? $rootScope.basket.BasketUser[0].ChildBets : $rootScope.basket.BasketUser;
                       $scope.showButtonCesta();
                       betsBasket.forEach(function(item){
                           if ($('#odd-' + item.BookOdd).length) {
                               if(item.OddType.indexOf("id1")!=-1){
                                   $('#odd-' + item.BookOdd).parent().children('div').addClass('disabled');
                               }
                               $('#odd-' + item.BookOdd).removeClass('disabled');
                               $('#odd-' + item.BookOdd).addClass('activated2');
                           }
                       });

                   //},1000);
               }
           }

    });

    $scope.showButtonCesta = function(){
        $(".viewButtonCestaLibre").removeClass("hide").addClass("animated").addClass("slideUp")
    };

    $scope.hideButtonCesta = function(){
        $(".viewButtonCestaLibre").addClass("hide").removeClass("animated").removeClass("slideUp")
    };

    if(typeof $scope.$root.selectedEvent === "undefined"){
        $scope.myGoBack();
    }else{
        $scope.event = $scope.$root.selectedEvent;
        $ionicLoading.show();
        br.getEventApuestas($scope.event.Id, function(error, data){
            $ionicLoading.hide();
            if(error){
                $ionicPopup.alert({
                    title: "Apuestas de evento",
                    template: "Ohhps... algo va mal<br/>No se ha podido cargar el evento"
                }).then(function(){
                    $scope.myGoBack();
                });
            }else{
                $scope.odds = data.EventOdds;
                if($scope.event.SpecialDateTime == 0){
                    $scope.eventDate = $filter('brDate')($scope.event.Date + ' ' + $scope.event.Time);
                }else{
                    $scope.eventDate = $filter('brDateEvent')($scope.event.SpecialDateTime);
                }
                $rootScope.$emit("refreshBasket");
            }
        });
    }
});