betrocketApp.controller('eventController', function ($scope,$ionicHistory, $rootScope, $state, $timeout, $ionicHistory, $ionicLoading, $ionicPopup, br) {
    $scope.lastOddDeactive = "";
    $scope.myGoBackDetail = function() {
        $state.go('detailTournament.apuestas');
    };

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Detalle Torneo','Detalle Evento', $scope.$root.selectedTournamentId);

    $scope.selectOdd = function ($event, event, participant) {
        $event.preventDefault();
        $ionicLoading.show();

        if ($("#odd-"+participant.Odds[0].BookOdd).hasClass('activated2')) {

            br.eliminarApuesta(participant.Odds[0].BookOdd, function (error, data) {
                if (error) {
                    // TODO popup
                } else {

                    $("#odd-"+participant.Odds[0].BookOdd).removeClass('activated2');
                    $scope.lastOddDeactive = +participant.Odds[0].BookOdd;
                    if(event.OddType.indexOf("id1")!=-1) {
                        $('.event-' + event.MarketId).removeClass('disabled');
                    }
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        } else {
            br.apostar($scope.$root.selectedTournamentId, participant.Odds[0].BookOdd, br.minBetAmount, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    if(event.OddType.indexOf("id1")!=-1) {
                        $('.event-' + event.MarketId).addClass('disabled');
                    }
                    $("#odd-"+participant.Odds[0].BookOdd).removeClass('disabled');
                    $("#odd-"+participant.Odds[0].BookOdd).addClass('activated2');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        }
    };

    $scope.$watch($rootScope.shouldBasketBeShown, function(newV, oldV){
        // TODO is it necessary?
    });


    $scope.$watch(function(){
        if(typeof $rootScope.basket !== 'undefined'){
            return $rootScope.basket;
        }else{
            return false;
        }
    }, function(value){
        if(value){
            if ($rootScope.basket.BasketUser.length == 0) {
                $(".pastillas-apuestas-event").removeClass('disabled activated2');

            } else {
                //$timeout(function(){
                    var betsBasket = $rootScope.basket.Combined == 1 ? $rootScope.basket.BasketUser[0].ChildBets : $rootScope.basket.BasketUser;
                    betsBasket.forEach(function(item){
                        if ($('#odd-' + item.BookOdd).length) {
                            if(item.OddType.indexOf("id1")!=-1) {
                                $('#odd-' + item.BookOdd).parent().children('div').addClass('disabled');
                            }
                            $('#odd-' + item.BookOdd).removeClass('disabled');
                            $('#odd-' + item.BookOdd).addClass('activated2');
                            if($scope.lastOddDeactive == item.BookOdd){
                                $scope.lastOddDeactive = "";
                            }
                        }
                    });
                    if($scope.lastOddDeactive != ""){
                        $('#odd-' + $scope.lastOddDeactive).removeClass('activated2');
                    }
                //},1000);
            }
        }

    });

    if(typeof $rootScope.selectedEvent === "undefined"){
        $scope.myGoBackDetail();
    }else{

        $scope.event = $rootScope.selectedEvent;
        //console.log('Event bets',  $scope.event );
        $ionicLoading.show();
        br.getEventApuestas($scope.event.Id, function(error, data){
            $ionicLoading.hide();
            if(error){
                $ionicPopup.alert({
                    title: "Apuestas de evento",
                    template: "Ohhps... algo va mal [-3]"
                }).then(function(){
                    $scope.myGoBack();
                });
            }else{
                $scope.odds = data.EventOdds;
            }
        });
    }
});