/**
 * Created by alexmarcos on 21/12/15.
 */
betrocketApp.controller('apuestasLibreFinalizadosController', function ($scope, $ionicModal, br, $ionicLoading, $ionicPopup) {

    br.tournamentsPerPage = 10;

    $scope.items = [];

    $scope.paginator = undefined;

    $ionicLoading.show();

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Apuestas Libres','Finalizadas');

    var loadMoreTorneosLibres = function () {
        var page = undefined;
        if ($scope.paginator !== undefined) {
            page = $scope.paginator.page + 1;
        }

        br.getFinishedFreeBets(function (error, data) {
            $ionicLoading.hide();
            if (error) {
                $ionicPopup.alert({
                    title: "Error torneos",
                    template: error
                });
            } else {
                $scope.paginator = data.paginator;
                if (typeof data.BetslipsUser !== 'undefined') {
                    $scope.items = $scope.items.concat(data.BetslipsUser);
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                    $scope.$broadcast('scroll.resize');
                }
            }
        },  br.tournamentsPerPage, page);
    };



    $scope.loadMoreTournamentsLibres = function () {
        loadMoreTorneosLibres();
        return true;
    };

    $scope.canLoadMoreTorneosLibres = function () {
        if ($scope.items.length > 0) {
            if ($scope.paginator !== undefined) {
                return $scope.paginator.page < $scope.paginator.count_all_pages;
            } else {
                return true;
            }
        } else {
            return false;
        }
    };

    $scope.loadMoreTournamentsLibres();
});