betrocketApp.controller('apuestasLibreJugandoController', function ($scope,$rootScope, $state, $timeout, $ionicModal, $ionicLoading, $ionicPopup, br) {

    var filterPendingBets = function() {
        if(typeof $rootScope.user !== 'undefined'){
            if(typeof $rootScope.user.pendingBets != 'undefined'){
                $scope.pendingApuestas = $rootScope.user.pendingBets.filter(function(item){
                    return item.TournamentId == 0;
                });
                if($scope.pendingApuestas.length == 0){
                    $scope.isEmptyTorneos = true;
                }
            }
            else{
                $scope.isEmptyTorneos = true;
            }
        }
        else{
            $scope.isEmptyTorneos = true;
        }
    };

    filterPendingBets();

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Apuestas Libres','Jugando');

    $scope.goToApuestas = function(){
        $state.go("apuestas.disponibles")
    };

    $rootScope.$on("pendingPlayingFreeBets", function() {
        if (typeof $rootScope.$storage.user !== 'undefined') {
            filterPendingBets();
        }
    });
});