/**
 * Created by alexmarcos on 20/10/15.
 */

betrocketApp.controller('registerController', function($scope, $rootScope, $state, $ionicPopup, $ionicLoading, $cordovaInAppBrowser, br, ngFB, $rootScope, $q) {


    $scope.registerButton = function(){

        var email = $("#emailInputRegister").val();
        var pass = $("#passwordInputRegister").val();
        var user = $("#userInputRegister").val();

        br.registerUser(email,user,pass,function(error,data){
            if(error){
                $ionicPopup.alert({
                    title: "Registro",
                    template: "<p>"+data.data.Detail+"</p>"
                }).then(function(res) {
                    //$scope.modal.hide();
                });
            }
            else{
                $rootScope.$storage.user = {uid: data['UID']};
                $rootScope.user = $rootScope.$storage.user;

                br.getUserData(function (err, data) {
                    if (!err) {

                        if(typeof window.fabric !== 'undefined')
                            fabric.Answers.sendSignUp('Email', true);

                        $state.go(br.stateRedirectOnSuccessfulLogin);
                    }
                });
            }
        });

    };

    var fbLoginSuccess = function(response) {
        if (!response.authResponse){
            fbLoginError("Cannot find the authResponse");
            return;
        }

        var authResponse = response.authResponse;

        getFacebookProfileInfo(authResponse).then(function(profileInfo) {
            setBetrocketLogin(profileInfo, authResponse.accessToken);
        });
    };

    var fbLoginError = function(error){
        $ionicPopup.alert({
            title: "error",
            template: JSON.stringify(error)
        });
    };

    var getFacebookProfileInfo = function (authResponse) {
        var info = $q.defer();

        facebookConnectPlugin.api('/me?fields=email,name&access_token=' + authResponse.accessToken, null, function (response) {info.resolve(response);}, function (response) {info.reject(response);});

        return info.promise;
    };

    var setBetrocketLogin = function (profileInfo, accessToken) {
        $ionicLoading.show();

        var params = {
            profileInfo: profileInfo,
            accessToken: accessToken
        };

        br.call('https://www.betrocket.com/api/social/facebook/setmobile', "POST", params, function (response) {
            $rootScope.$storage.user = {uid: response.data.result.social};
            $rootScope.user = $rootScope.$storage.user;

            br.getUserData(function (err, data) {
                if (!err) {
                    if(typeof window.fabric !== 'undefined')
                        fabric.Answers.sendSignUp('Facebook', true);
                    $state.go(br.stateRedirectOnSuccessfulLogin);
                }
            });
        });
    };

    $scope.facebookRegister = function(){
        facebookConnectPlugin.getLoginStatus(function(success){
            if(success.status === 'connected'){
                getFacebookProfileInfo(success.authResponse).then(function(profileInfo) {
                    setBetrocketLogin(profileInfo, success.authResponse.accessToken);
                });
            } else {
                facebookConnectPlugin.login(['email', 'user_likes', 'user_friends'], fbLoginSuccess, fbLoginError);
            }
        });
    };
});