betrocketApp.controller('cestaController', function ($scope,$state, $rootScope, $translate, $compile, $timeout, $ionicSideMenuDelegate, $ionicListDelegate,$ionicModal, $ionicLoading, $ionicPopup, br) {

    $scope.chipsBet = 0;
    $scope.forecastWinnings = 0;
    $scope.basket="";
    $scope.betsAreCombined=false;
    $scope.xpWin = 0;
    $scope.loaded=false;

    var refreshBasketValues = function(){
        if($rootScope.basket.BasketUser.length > 0) {
            br.getCesta(function (error, data) {
                $ionicLoading.hide();
                if (error) {
                    // TODO ALERT
                } else {
                    if (typeof data.Error === "undefined") {
                        $scope.loaded=true;
                        $scope.chipsBet = 0;
                        $scope.forecastWinnings = 0;
                        $scope.basket = data.BasketUser;
                        $scope.modalCesta.show();
                        $scope.$root.numBetsCesta = data.Combined == 1 ? 1 : $scope.$root.userBasket.length;
                        if (data.Combined == 1) {
                            $scope.betsAreCombined = true;
                            $scope.chipsBet = data.BasketUser[0].BetAmount;
                            $scope.forecastWinnings = data.BasketUser[0].ForecastWinnings;
                            $scope.xpWin = ($scope.chipsBet + $scope.forecastWinnings) * br.xpWinFactor;
                            $scope.$root.numBetsCesta = 1;
                            $(".content-tab-combi-bets").removeClass("hide");
                            $(".content-tab-simple-bets").addClass("hide");
                            $(".tab-simple-bets").removeClass('active');
                            $(".tab-combi-bets").addClass('active');
                        } else {
                            $scope.betsAreCombined = false;
                            $(".content-tab-combi-bets").addClass("hide");
                            $(".content-tab-simple-bets").removeClass("hide");
                            $(".tab-simple-bets").addClass('active');
                            $(".tab-combi-bets").removeClass('active');
                            $scope.basket.forEach(function (item) {
                                $scope.chipsBet += item.BetAmount;
                                $scope.forecastWinnings += item.ForecastWinnings;
                            });
                            $scope.xpWin = ($scope.chipsBet + $scope.forecastWinnings) * br.xpWinFactor;
                        }
                    }
                }
            });
        }else{
            $ionicLoading.hide();
        }
    };

    $scope.goToBetsThisTournament = function(){
        if($state.current["name"]!="detailTournament.apuestas"){
            $state.go("detailTournament.apuestas");
        }
    };
    $scope.openCesta = function () {
        $(".homeAppView").addClass("blur-backapp");
        $ionicLoading.show();
        refreshBasketValues();
    };

    $scope.closeCesta = function () {
        $scope.modalCesta.hide().then(function () {
            $(".homeAppView").removeClass("blur-backapp");
            $rootScope.$emit('refreshUserData');
            $rootScope.$emit('refreshBasket');
        });
    };

    $scope.changeTabBets = function (event) {
        var element = event.target;
        if (!$(element).hasClass("active")) {
            $(".tabs-bets").removeClass("active");
            $(element).addClass("active");
            $(".content-make-bets").remove();
            $(".content-make-bets-open").removeClass("content-make-bets-open");
            $(".itemsBasket").remove();
            if ($(element).hasClass("tab-simple-bets")) {
                // simple bet
                br.apuestaCombinada(false, function(error){
                    if(!error) {
                        refreshBasketValues();
                    }else{
                        $ionicPopup.alert({
                            title: "Error",
                            template: error
                        });
                    }
                });
            }
            else {
                // combinada
                br.apuestaCombinada(true, function(error){
                    if(!error) {
                        refreshBasketValues();
                    }else{
                        $ionicPopup.alert({
                            title: "Error",
                            template: error
                        });
                    }
                });
            }
        }
    };

    $scope.openChangeMyBet = function (id, bet,event) {

        event.preventDefault();
        event.stopPropagation();
        var element = '#'+id;
        var elementRow = $('#'+id);

        if (!$(element).hasClass("content-make-bets-open") ) {
            $scope.amountSelected = bet.BetAmount;

            var morePanelsOpeneds = $(".content-tab-bets").find(".content-make-bets");
            if(morePanelsOpeneds.length>0){
                $scope.closePanelChangeApuesta(morePanelsOpeneds[0],$(".content-tab-bets").find(".content-make-bets-open"));
                $scope.openPanelChangeApuesta(elementRow,element,bet)
            }
            else{
                $scope.openPanelChangeApuesta(elementRow,element,bet);
            }
        }
        else {
            $scope.closePanelChangeApuesta($(".content-make-bets"),element)
        }
    };

    $scope.closePanelChangeApuesta = function(elementRow,element,fn){
        $(".triangleStyle").slideDown(300, function () {
            $(elementRow).slideUp("fast", function () {
                $(this).remove();
                $scope.amountSelected = -1;
                fn;
            });
            $(".content-make-bets-open").removeClass("content-make-bets-open");
        });
    };
    $scope.openPanelChangeApuesta = function(elementRow,element,bet){
        var html = '<div style="display: none" class="content-make-bets">' +
            '<span class="triangleStyle"></span>' +
            '<div class=" row row-make-bets">' +
            '<div id="bet250" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 250, ' + bet.BasketBet + ')">250</div>' +
            '<div id="bet500" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 500, ' + bet.BasketBet + ')">500</div>' +
            '<div id="bet750" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 750, ' + bet.BasketBet + ')">750</div>' +
            '<div id="bet1000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 1000, ' + bet.BasketBet + ')">1.000</div>' +
            '</div>' +
            '<div  class="row row-make-bets">' +
            '<div id="bet1500" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 1500, ' + bet.BasketBet + ')">1.500</div>' +
            '<div id="bet2000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 2000, ' + bet.BasketBet + ')">2.000</div>' +
            '<div id="bet3000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 3000, ' + bet.BasketBet + ')">3.000</div>' +
            '<div id="bet5000" class="col col-25 col-make-simpleBet" on-tap="changeAmount($event, 5000, ' + bet.BasketBet + ')">5.000</div>' +
            '</div>' +
            '<div class="row row-footer-make-bets">' +
            '<div class="col col-75 col-input"><input class="inputDynamicBet" type="number" ng-model="amountSelected"></input></div>' +
            '<div class="col col-20 col-button-bet"><button class="buttonReliebeBetrocketLittle green" on-tap="updateBet($event, ' + bet.BasketBet + ')">Cambiar</button></div>' +
            '</div>' +
            '</div>';

        $(element).addClass("content-make-bets-open");

        if($scope.betsAreCombined)
            $(".row-info-bet-combi").after($compile(html)($scope));
        else
            elementRow.append($compile( html)($scope));
        $(".content-make-bets").slideDown("fast")
    };


    $scope.changeAmount = function (event, amount, bet) {
        $(".col-make-simple-bet").removeClass("activated2");
        $(event.target).addClass("activated2");
        $scope.amountSelected = amount;
        $scope.updateBet(event, bet, true);
    };

    $scope.updateBet = function (event, bet, flag) {
        flag = flag || false;
        br.actualizarApuesta(bet, $scope.amountSelected, function (error, data) {
            if (error) {
                // TODO popup
            } else {
                if (data.Success == 1) {
                    var desplegable = flag ? $(event.target).parent().parent() : $(event.target).parent().parent().parent();
                    $scope.closePanelChangeApuesta(desplegable,$(".content-tab-bets").find(".content-make-bets-open"));
                    refreshBasketValues();
                }
            }
        });
    };

    $scope.submitBet = function(){
      br.confirmarApuestas(function(error){
          if(!error){
              $scope.modalCesta.hide().then(function () {
                  $scope.openModalConfirm();
                  $rootScope.numBetsCesta = 0;
                  $rootScope.refreshPendingBets();
                  $rootScope.$emit('refreshUserData');
                  $rootScope.$emit('refreshBasket');
                  $scope.betsAreCombined = false;
              });
              if(typeof window.fabric != 'undefined')
                  window.fabric.Answers.sendContentView('Cesta Torneo','Apuesta Realizada');
          }else{
              $ionicPopup.alert({
                  title: "Confirmación",
                  template: error.Detail
              });
          }
      });
    };

    $scope.eliminarApuesta = function(bet){
        $ionicLoading.show();
        br.eliminarApuesta(bet.BookOdd, function (error, data) {
            if (error) {
                // TODO popup
            } else {
                $('#odd-' + bet.BookOdd).removeClass('activated2');
                $('#odd-' + bet.BookOdd).parent().children(".disabled").removeClass('disabled');
                $("#basketBet"+bet.BasketBet).remove();
                refreshBasketValues();
            }
        });
    };

    $scope.openModalConfirm = function () {
        $scope.modalConfirm.show();
    };

    $rootScope.closeModalConfirmTournament = function () {
        $scope.modalConfirm.hide().then(function(){
            $(".homeAppView").removeClass("blur-backapp");
        });
    };

    $scope.amountSelected = -1;

    $scope.$watch(function(){
        if(typeof $rootScope.basket !== 'undefined'){
            return $rootScope.basket;
        }else{
            return false;
        }
    }, function(value){
        if(value) {
            $rootScope.shouldBasketBeShown = $rootScope.basket.TournamentName !== "" && $rootScope.basket.BasketUser.length > 0;
        }else{
            $rootScope.shouldBasketBeShown = false;
        }
    });

    $ionicModal.fromTemplateUrl('templates/modules/cesta/modalCesta.html', {
        scope: $scope,
        name: "cestaModal"
    }).then(function (modal) {
        $scope.modalCesta = modal;
    });

    $scope.$on('modal.shown', function(event, modal){
        $(".homeAppView").addClass("blur-backapp");
        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Cesta Torneo','Cesta abierta');
    });
    $scope.$on('modal.hidden', function() {
        $(".homeAppView").removeClass("blur-backapp");
        $ionicListDelegate.closeOptionButtons();
    });

    $ionicModal.fromTemplateUrl('templates/modules/modals_confirm_bets/modalConfirmBet.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modalConfirm = $scope.$root.modalConfirm = modal;
        $scope.typeConfirm = "tournament";
    });

});