betrocketApp.controller('headerBarController', function ($scope, $timeout,$rootScope,$state,$ionicBackdrop, $localStorage, $ionicSideMenuDelegate, br, $ionicModal) {

    $scope.contentModalAlert = $(".modalAlertsUser").parent().parent();
    $scope.timeDelayOpenSideBars=220;
    $scope.openModalAlerts = function ($event) {

        if(!$(".modalAlertsUser").hasClass("opened")){
            $scope.modalAlerts.show();
            $scope.contentModalAlert = $(".modalAlertsUser").parent().parent();
            $scope.contentModalAlert.parent().parent().css("background-color","transparent");

            var objCss={
                "background-color":"#333333"
            };
            if( $state.current.name.indexOf("detailTournament")!=-1){
                $scope.contentModalAlert.removeClass("special-alerts-height min-res").addClass("special-alerts-tournament-height");
                $scope.contentModalAlert.children(".modal-backdrop-bg").removeClass("special-alerts-height min-res").addClass("special-alerts-tournament-height");
            }
            else{
                $scope.contentModalAlert.removeClass("special-alerts-tournament-height min-res").addClass("special-alerts-height");
                $scope.contentModalAlert.children(".modal-backdrop-bg").removeClass("special-alerts-tournament-height min-res").addClass("special-alerts-height");
            }
            if(window.screen.height <=500){
                $scope.contentModalAlert.addClass("min-res");
                $scope.contentModalAlert.children(".modal-backdrop-bg").addClass("min-res");
            }



            $scope.contentModalAlert.css(objCss);
            $scope.contentModalAlert.children(".modal-backdrop-bg").css(objCss);
            $(".modalAlertsUser").css("-webkit-transition","160ms ease");
        }
        else{
            $scope.modalAlerts.hide();
        }
    };

    $scope.openMenuUser = function () {
        if($scope.modalAlerts.isShown()){
            $scope.modalAlerts.hide();
            setTimeout(function(){
                $rootScope.$emit('refreshUserData');
                $rootScope.$emit('refreshPendingBets');
                $ionicSideMenuDelegate.toggleLeft();
            },$scope.timeDelayOpenSideBars);
        }
        else{
            $rootScope.$emit('refreshUserData');
            $rootScope.$emit('refreshPendingBets');
            $ionicSideMenuDelegate.toggleLeft();
        }
        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Menu Izquierdo User');
    };


    $scope.openRightMenu = function () {
        if($scope.modalAlerts.isShown()){
            $scope.modalAlerts.hide();
            setTimeout(function(){
                $rootScope.$emit('refreshUserData');
                $rootScope.$emit('refreshPendingBets');
                $ionicSideMenuDelegate.toggleRight();
            },$scope.timeDelayOpenSideBars);
        }
        else{
            $rootScope.$emit('refreshUserData');
            $rootScope.$emit('refreshPendingBets');
            $ionicSideMenuDelegate.toggleRight();
        }
        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Menu Derecho Banco');
    };

    
    $rootScope.$on('$stateChangeStart',
        function(event, toState, toParams, fromState, fromParams){
            //console.log($scope.modalAlerts,"compruebo si esta modalAlerts");
            if(typeof $scope.modalAlerts !== 'undefined' && $scope.modalAlerts != null)
                if($scope.modalAlerts.isShown()){
                    $scope.modalAlerts.hide();
                }
        });
    $ionicModal.fromTemplateUrl('templates/modules/modals_alerts/modalAlerts.html', {
        scope: $scope,
        name: 'modal-user-alerts',
        animation: 'scale-in'
    }).then(function (modal) {
        $scope.modalAlerts = modal;
    });
});