betrocketApp.controller('temporadaController', function($scope,$rootScope, $ionicModal, $ionicLoading,$timeout,br) {

    $ionicLoading.show();

    $scope.userDivision = undefined;
    $scope.usersRanking = undefined;
    $scope.dataLoaded = false;

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Ranking General','Temporada');

    br.getRankingTemporada(function(error,data){
        if(!error){
            $ionicLoading.hide();
            $scope.userDivision = data;
            $scope.usersRanking = data.Ranking;
            $scope.timeStampNextSeasson = new Date($scope.userDivision.SeasonToPrizes).getTime();
            $scope.addModalRanking();
            $scope.dataLoaded = true;
        }else{
            $ionicPopup.alert({
                title: "Ranking",
                template: error
            });
            return;
        }

    });
    $scope.showInfoUser = function(id){
        if($(".info-userRanking").hasClass("open-info"))
            $(".info-userRanking").removeClass("slideInRight").removeClass("open-info").addClass("slideOutRight");
        $("#"+id+" a .info-userRanking").removeClass("hide").removeClass("slideOutRight").addClass("open-info").addClass("slideInRight");
    };
    $scope.closeInfoUser = function(id){
        $("#"+id+" a .info-userRanking").removeClass("slideInRight").removeClass("open-info").addClass("slideOutRight");
    };

    $scope.openMyInfo = function(){
        $scope.modal.show();
        $(".homeAppView").addClass("blur-backapp");
    };

    $scope.closeMyInfo = function() {
        $scope.modal.hide();
        $(".homeAppView").removeClass("blur-backapp");
    };

    $scope.addModalRanking = function(){
        $ionicModal.fromTemplateUrl('templates/modules/modal_ranking/modalRanking.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function(modal) {
            $scope.temporadaView = true;
            $scope.weeksToNextTemporada = $scope.userDivision.SeasonDates - $scope.userDivision.SeasonCurrentDateId;
            $scope.progressTemporada = Math.round(($scope.userDivision.SeasonCurrentDateId*100)/$scope.userDivision.SeasonDates);
            $scope.CurrentDateFromModalRanking = $scope.userDivision.SeasonFrom;
            $scope.SeasonCurrentDateToModalRanking = $scope.userDivision.SeasonTo;
            $scope.GroupIdModalRanking = $scope.userDivision.SeasonCurrentDateId;
            $scope.groupsInDivisionModalRanking = $scope.userDivision["SeasonTo"];
            var d = new Date();
            $scope.minutesNextUpload = 60-d.getMinutes()+" min";
            $scope.userDivisionPrizesModalRanking = $scope.userDivision.Prizes;
            $scope.divisionModalRanking = $scope.userDivision["SeasonCurrentDateGroups"][$scope.userDivision["SeasonId"] - 1].DivisionId;
            $scope.modal = modal;
        });
    };
});