betrocketApp.controller('rankingTournamentFinalizadoController', function($scope,$rootScope,br,$ionicModal, $ionicListDelegate,$ionicLoading,$stateParams, $ionicScrollDelegate,$state) {

    if (typeof $stateParams.tournamentId === "undefined") {
        $ionicPopup.alert({
            title: "Ranking",
            template: "Oohhps... algo ha ido mal [-2]"
        }).then(function (res) {
            $state.go("torneos.disponibles");
        });
    }

    $scope.id_torneo = $stateParams.tournamentId;

    $ionicLoading.show();

    //$(".tabsApuestasInTournament").hide();

    $ionicModal.fromTemplateUrl('templates/modules/modal_recompensa/modalRecompensa.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modalRecompensa = modal;
    });

    $scope.openModalRecompensa = function () {
        $scope.modalRecompensa.show();
    };

    $scope.closeModalRecompensa = function () {
        $scope.modalRecompensa.hide();
    };


    br.getRankingTorneo($stateParams.tournamentId, function (error, data) {
        if (error) {
            $ionicLoading.hide();
            $ionicPopup.alert({
                title: "Apuestas",
                template: "Ohhps.. algo ha ido mal [-2]"
            }).then(function () {
                $state.go('torneos.disponibles');
            });
            return;
        } else {
            $scope.posterRanking = "https://www.betrocket.com/upload/tournaments/tournament_'+data.IMG+'.png";
            $scope.data = data;
            $scope.betsRanking = {};
            $.each($scope.data.Ranking, function (key, value) {
                if(typeof $rootScope.user !== 'undefined'){
                    if(value.NickName == $rootScope.user.data.NickName){
                        $scope.MyDataInTournament = value;
                    }
                }
                br.getBetsByNicknameInTournament($stateParams.tournamentId,value.NickName,function (error, data) {
                    $scope.betsRanking[data.NickName]=data;
                });
            });

            // Se hace un fadeOut para que no se vea el salto feo de ranking
            $(".rankingTorneoFinalizadoView ion-content").fadeIn(400);
            $ionicLoading.hide();
        }
    });
});